package main

import (
	"go.wit.com/lib/protobuf/forgepb"
	"go.wit.com/log"
)

// go will sit here until the window exits
func main() {
	forge := forgepb.Init()
	all := forge.Repos.SortByGoPath()
	for all.Scan() {
		check := all.Next()

		repotype := check.RepoType()
		if repotype != "plugin" {
			continue
		}

		if forge.Config.IsReadOnly(check.GoPath) {
			// ignore read only stuff
			continue
		}

		log.Info("STARTING 'make install' in", check.GoPath)
		if err := forge.Install(check, nil); err != nil {
			log.Warn("INSTALL FAILED", check.GoPath, err)
		}
	}
}
